CTPL(1)

NAME
ctpl - CTPL command-line template parsing tool

SYNOPSIS
ctpl [OPTION]... INPUTFILE...

DESCRIPTION
ctpl parses one or more INPUTFILE template against the provided environment and outputs the result.

OPTIONS

-h, --help
    Prints the command line options.

-o, --output=FILE
    Write output to FILE. If not provided, defaults to stdout.

-e, --env-file=ENVFILE
    Add environment from ENVFILE. This option may appear more than once.

-c, --env-chunk=CHUNK
    Add environment chunk CHUNK. This option may appear more than once.

-v, --verbose
    Be verbose.

--version
    Print the version information and exit.

--encoding=ENCODING
    Specify the encoding of the input and output files. The default encoding is the system's one.

TEMPLATE AND ENVIRONMENT DESCRIPTION SYNTAX
For the documentation about the syntax of templates and environment descriptions, see the CTPL library's documentation.

REPORTING BUGS
Report CTPL bugs to ban@herbesfolles.org
CTPL home page: <http://ctpl.tuxfamily.org>

AUTHOR
Colomban Wendling (ban@herbesfolles.org)

COPYRIGHT
Copyright © 2010 Colomban Wendling. License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.